//
// ErrorFeedback.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct ErrorFeedback: Codable, JSONEncodable, Hashable {

    public var id: Int?
    public var userId: Int?
    public var url: String?
    public var error: [String: AnyCodable]?
    public var message: String?
    public var updatedAt: Date?
    public var createdAt: Date?
    public var user: User?

    public init(id: Int? = nil, userId: Int? = nil, url: String? = nil, error: [String: AnyCodable]? = nil, message: String? = nil, updatedAt: Date? = nil, createdAt: Date? = nil, user: User? = nil) {
        self.id = id
        self.userId = userId
        self.url = url
        self.error = error
        self.message = message
        self.updatedAt = updatedAt
        self.createdAt = createdAt
        self.user = user
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case id
        case userId
        case url
        case error
        case message
        case updatedAt
        case createdAt
        case user = "User"
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(id, forKey: .id)
        try container.encodeIfPresent(userId, forKey: .userId)
        try container.encodeIfPresent(url, forKey: .url)
        try container.encodeIfPresent(error, forKey: .error)
        try container.encodeIfPresent(message, forKey: .message)
        try container.encodeIfPresent(updatedAt, forKey: .updatedAt)
        try container.encodeIfPresent(createdAt, forKey: .createdAt)
        try container.encodeIfPresent(user, forKey: .user)
    }
}

